All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support
Interface CustomAreaInterface

All Known Implementing Classes:
  BaseCustomSupport, HttpCustomSupport, SwingCustomSupport

    public interface CustomAreaInterface

Interface that defines a single areaType key for support classes that just need to manage custom Actions for a single area.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0
See Also:
  `SwingCustomSupport`, `HttpCustomSupport`

Field Summary
`static java.lang.String` | `CUSTOM_AREA` The areaType key used to define the area to which all custom actions registered with this support class are assigned.

Field Detail

### CUSTOM_AREA

    static final java.lang.String CUSTOM_AREA

  The areaType key used to define the area to which all custom actions registered with this support class are assigned.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.